Subject: Re: bug#4924: Emacs No Longer Reads Mac Text Files

From: Leif Strand <[email-masked]>
Date: Mon, 16 Nov 2009 12:07:24 -0800

Kenichi,

Glad to hear that CR support is still there.  Indeed, I've played with 
it a bit more, and it seems that trivial examples do work.

I can't figure out what algorithm Emacs is using to guess the kind of 
text file.  So anyway, I've attached a tarball containing two files:

* ozymandias.txt:  This a trivial example which does work.  It was 
created in BBEdit 4.5.

* SqueakV1-18.sources:  This is the file that triggered my complaint. 
Emacs 21 correctly identified this as a Mac file.  In Emacs v23.1.50.1, 
I see one long line with a bunch of ^M characters.

--Leif

Kenichi Handa wrote:
> In article <[email-masked]>, Leif Strand <[email-masked]> writes:
> 
>> Why is it that my new version of Emacs (v23.1.50.1) no longer 
>> understands Mac-format (CR) text files?  It still reads DOS (CRLF) files 
>> just fine.  Why remove support for one but not the other?
> 
> We didn't remove that support at least by intention.  I
> can't reproduce that kind of bug.  Please give us an example
> file of Mac-format that can't be recognized as Mac-format.
> 
> ---
> Kenichi Handa
> [email-masked]
> 
>